<?php
class ControllerExtensionModuleProorderid extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/proorderid');

		$this->document->setTitle($this->language->get('heading_title'));

		$data['heading_title'] = $this->language->get('heading_title');
		
		$data['text_edit'] = $this->language->get('text_edit');


		$data['entry_increment'] = $this->language->get('entry_increment');
		$data['text_current_increment'] = $this->language->get('text_current_increment');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		
		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}
		
		$result =  $this->db->query("SELECT `AUTO_INCREMENT` FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = '".DB_DATABASE."' AND TABLE_NAME = '".DB_PREFIX."order' ");
		$data['current_increment_value'] = $current_increment_value = $result->row['AUTO_INCREMENT'];
			
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {			
			$increment = (int)$this->request->post['increment'];
			if ($increment < $current_increment_value) {
				$data['error_warning'] = $this->language->get('error_data');;
			} else {
				$this->db->query("ALTER TABLE `".DB_PREFIX."order` AUTO_INCREMENT = $increment");
				$this->session->data['success'] = $this->language->get('text_success');
				$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true));
			}
			
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_extension'),
			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true)
		);
		
		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/proorderid', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['action'] = $this->url->link('extension/module/proorderid', 'user_token=' . $this->session->data['user_token'], true);

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true);
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/proorderid', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/proorderid')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}
}